## ide-terminal-util ide-terminal-util |

## Functions

int | ide_vte_pty_create_slave ()
const gchar * | ide_get_user_shell ()

## Description

## Functions

### ide_vte_pty_create_slave ()

    int
    ide_vte_pty_create_slave (VtePty *pty);

### ide_get_user_shell ()

    const gchar *
    ide_get_user_shell (void);

Gets the user preferred shell on the host.

If the background shell discovery has not yet finished due to slow or misconfigured getent on the host, this will provide a sensible fallback.

#### Returns

a shell such as "/bin/sh".

[not nullable]

Since: 3.32